Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001719KdenliveTransitionspublic2010-07-30 22:332010-09-14 23:01
Reportertidris769 
Assigned Toj-b-m 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSKubuntu LinuxOS Version9.10
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001719: Cannot delete key frames in composite transition
DescriptionAfter a keyframe is created in a composite transition it cannot be deleted. This problem is making it very difficult to use composite transitions on my project.

This happens if the project profile is "HD 720p 59.94 fps" but not if it is "HD 720p 60 fps". I think there is an error in calculating the composite transition slider position if the fps is fractional. I see other anomalies in the composite transition UI but I think they are all related to this problem, and if you fix this the other issues will go away too.


Steps To Reproduce1- Create new project with video profile HD 720p 59.94 fps.
2- Add a color clip to the project, drag it to the time line.
3- Add a composite transition to the color clip and enlarge it so it spans the entire color clip.
4- Create a key frame near the middle of the composite transition. Note the "delete keyframe" button is now enabled.
5- Click the "go to previous keyframe" button. Note the position triangle moved just to the left of the new keyframe marker and the "delete keyframe" button is now disabled.
6- Click the "go to next keyframe" button. Note the position triangle did not move at all and the "delete keyframe" button remains disabled.
7- At this point it is impossible to delete the new keyframe even if you drag the position triangle to be directly under the keyframe marker.
TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
(0005427)
j-b-m (administrator)
2010-07-31 21:47

I will work on that issue. As a temporary workaround, you can change the timecode display (in the combobox at the right of the status bar), and select "frames" instead of the default "hh:mm:ss:ff", and the bug will be gone.
(0005428)
tidris769 (reporter)
2010-07-31 23:25

Thanks! Selecting "frames" makes things much better.
(0005429)
j-b-m (administrator)
2010-08-01 01:55

Should be fixed now, please test (svn rev 4673)
(0005430)
tidris769 (reporter)
2010-08-01 04:30

I think it is fixed in svn 4673. Thanks again.

- Issue History
Date Modified Username Field Change
2010-07-30 22:33 tidris769 New Issue
2010-07-31 21:47 j-b-m Note Added: 0005427
2010-07-31 21:47 j-b-m Assigned To => j-b-m
2010-07-31 21:47 j-b-m Status new => acknowledged
2010-07-31 23:25 tidris769 Note Added: 0005428
2010-08-01 01:55 j-b-m Note Added: 0005429
2010-08-01 04:30 tidris769 Note Added: 0005430
2010-08-01 09:26 j-b-m Status acknowledged => resolved
2010-08-01 09:26 j-b-m Fixed in Version => Recent git
2010-08-01 09:26 j-b-m Resolution open => fixed
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker